Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161987 - Please do not use substring in messages should be trabslated
Summary: Please do not use substring in messages should be trabslated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-bind
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-28 20:49 UTC by Andrew Martynov
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.0-18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 08:36:23 UTC


Attachments (Terms of Use)
screen shot with English and Russian (Translated) Dialog (deleted)
2005-06-28 20:49 UTC, Andrew Martynov
no flags Details

Description Andrew Martynov 2005-06-28 20:49:06 UTC
Description of problem:
During translation I found code line where substring
of translated message was used:

#system-config-bind-4.0.0/DNSsec.py
724: s.importEntryLabels[s.azMethodCombo.get_active()].get_text()[6:]

It breaks translation and user will see only part of first word of message.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-16

How reproducible:
Every time.

Steps to Reproduce:
1. Run s-c-b while LANG=C
2. Choose New -> DNSSEC Trusted Key -> Add -> OK
3. You will see message regarding "non-empty" string.
4. Run s-c-b while LANG=ru_RU.UTF-8
5. Choose New -> DNSSEC Trusted Key -> Add -> OK
6. You will see message with only 4 last chars of word "ÐведиÑе" (Enter)
  
  
Actual results:


Expected results:


Additional info:
This code is going to cut 6 chars from string "Enter DNS Server Name"

I suppose it is not good idea to use string operation with localized GUI label
names.

Comment 1 Andrew Martynov 2005-06-28 20:49:07 UTC
Created attachment 116088 [details]
screen shot with English and Russian (Translated) Dialog

Comment 2 Jason Vas Dias 2005-07-16 00:51:06 UTC
This bug is now fixed with system-config-bind-4.0.0-18

Comment 3 Andrew Martynov 2005-07-19 18:23:21 UTC
Thanks!

Bug should be closed now.


Note You need to log in before you can comment on or make changes to this bug.